summaryrefslogtreecommitdiffstats
path: root/network/w3m
diff options
context:
space:
mode:
author slakmagik2010-05-11 20:01:45 +0200
committer David Somero2010-05-11 20:01:45 +0200
commit887eff71d9175eb84051d76e941c94c4eb6b73ff (patch)
treee718a8ec8d80be92cd7973af785c515c209fef84 /network/w3m
parent2f62f05d45b76d410ffdc91a6d3c1c413b7db759 (diff)
downloadslackbuilds-887eff71d9175eb84051d76e941c94c4eb6b73ff.tar.gz
network/w3m: Added to 12.0 repository
Diffstat (limited to 'network/w3m')
-rw-r--r--network/w3m/README15
-rw-r--r--network/w3m/slack-desc19
-rw-r--r--network/w3m/w3m.SlackBuild64
-rw-r--r--network/w3m/w3m.info8
4 files changed, 106 insertions, 0 deletions
diff --git a/network/w3m/README b/network/w3m/README
new file mode 100644
index 0000000000..06f23fef66
--- /dev/null
+++ b/network/w3m/README
@@ -0,0 +1,15 @@
+w3m is a World Wide Web (WWW) text based client. It has English and
+Japanese help files and an option menu and can be configured to use
+either language. It will display hypertext markup language (HTML)
+documents containing links to files residing on the local system, as
+well as files residing on remote systems. It can display HTML tables,
+frames, and images, and supports tabbed browsing. In addition,
+it can be used as a "pager" in much the same manner as "more" or
+"less". Current versions of w3m run on Unix (Solaris, SunOS, HP-UX,
+Linux, FreeBSD, and EWS4800) and on Microsoft Windows 9x/NT.
+
+You will need the gc package (which is available from SlackBuilds.org),
+to compile this.
+
+NOTE: Don't bother trying to run w3m inside a screen session;
+ it will segfault.
diff --git a/network/w3m/slack-desc b/network/w3m/slack-desc
new file mode 100644
index 0000000000..d56a6104ea
--- /dev/null
+++ b/network/w3m/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+w3m: w3m (text-mode browser)
+w3m:
+w3m: w3m is a World Wide Web (WWW) text based client. It has English and
+w3m: Japanese help files and an option menu and can be configured to use
+w3m: either language. It will display hypertext markup language (HTML)
+w3m: documents containing links to files residing on the local system, as
+w3m: well as files residing on remote systems. It can display HTML tables,
+w3m: frames, and images, and supports tabbed browsing. In addition, it can
+w3m: be used as a "pager" in much the same manner as "more" or "less".
+w3m:
+w3m: Homepage: http://w3m.sourceforge.net/
diff --git a/network/w3m/w3m.SlackBuild b/network/w3m/w3m.SlackBuild
new file mode 100644
index 0000000000..645e275a53
--- /dev/null
+++ b/network/w3m/w3m.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for w3m
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=w3m
+VERSION=0.5.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --enable-keymap=lynx \
+ --enable-gopher
+
+make
+make DESTDIR=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [ACNT]* doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/man/ -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/w3m/w3m.info b/network/w3m/w3m.info
new file mode 100644
index 0000000000..4b084daaac
--- /dev/null
+++ b/network/w3m/w3m.info
@@ -0,0 +1,8 @@
+PRGNAM="w3m"
+VERSION="0.5.2"
+HOMEPAGE="http://w3m.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/w3m/w3m-0.5.2.tar.gz"
+MD5SUM="ba06992d3207666ed1bf2dcf7c72bf58"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="David Somero"